package com.platform.yijia.dao;


import com.platform.yijia.pojo.Coupon;
import com.platform.yijia.pojo.UserCoupon;

import java.util.List;

public interface CouponMapper {

    //获取加油券信息
    Coupon selectCouponInfo(Coupon coupon);

    //获取油站已发放的加油券
    List<Coupon> selectStaGrantCouponList(Coupon coupon);

    //获取用户优惠券
    List<UserCoupon> selectUserCoupons(UserCoupon userCoupon);

    //用户领取优惠券
    void addUserCoupon(UserCoupon userCoupon);
}
